// TestAxRasDlg.h : header file
//
//{{AFX_INCLUDES()
#include "axras.h"
//}}AFX_INCLUDES

#if !defined(AFX_TESTAXRASDLG_H__6C047AB3_D56F_4934_B879_99E69382B6D5__INCLUDED_)
#define AFX_TESTAXRASDLG_H__6C047AB3_D56F_4934_B879_99E69382B6D5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CTestAxRasDlg dialog

class CTestAxRasDlg : public CDialog
{
// Construction
public:
	CTestAxRasDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTestAxRasDlg)
	enum { IDD = IDD_TESTAXRAS_DIALOG };
	CEdit	m_Receive_Message;
	CEdit	m_Gprs_Message;
	CAxRas	m_MyRas;
	CString	m_Ftp_Address;
	CString	m_Tcpip_Address;
	CString	m_Local_File;
	CString	m_Remote_File;
	long	m_Ftp_Port;
	long	m_Tcpip_Port;
	CString	m_Send_Message;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestAxRasDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestAxRasDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSocketReceiveAxrasctrl1(short SocketNumber, LPCTSTR String);
	afx_msg void OnDailm1206();
	afx_msg void OnHangUp();
	afx_msg void OnTcpipConnect();
	afx_msg void OnTcpipClose();
	afx_msg void OnSend();
	afx_msg void OnReceiveOn();
	afx_msg void OnReceiveOff();
	afx_msg void OnFtpConnect();
	afx_msg void OnFtpClose();
	afx_msg void OnPut();
	afx_msg void OnGet();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTAXRASDLG_H__6C047AB3_D56F_4934_B879_99E69382B6D5__INCLUDED_)
